ランタイム: Mix::Scene::ICamera::MOTION_BLUR_SETTINGS Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Scene::ICamera::MOTION_BLUR_SETTINGS Struct Reference

モーションブラー設定構造体 More...

`#include <ICamera.h>`

## Public Attributes

Float32 | minAngularVelocity
| 活動状態になる最小回転速度( 0.0f( 0度 )〜1.0f( 180度 ) ) More...
Float32 | maxAngularVelocity
| 活動状態になる最大回転速度( minAngularVelocity〜1.0f( 180度 ) ) More...
Float32 | minLinearVelocity
| 活動状態になる最小移動速度( 0.0f〜正の無限大 ) More...
Float32 | maxLinearVelocity
| 活動状態になる最大移動速度( minLinearVelocity〜正の無限大 ) More...
UInt32 | amount
| 状態を保持するフレーム量( 1〜4 ) More...
Float32 | echoTimeLength
| 非活動状態に移行した際の残像のフェードアウト時間( 秒単位 ) More...
Mix::Scene::ICamera::MOTION_BLUR_QUALITY | quality
| 品質 More...
Float32 | dist
| 残像を描画する深度の奥への許容範囲( 0.0f〜正の無限大 ) More...
Float32 | damping
| ブラーの減衰値( 0.0f〜1.0f ) More...
Float32 | scale
| ブラーのスケール( 0.0f〜1.0f ) More...
Float32 | intensity
| ブラーの強さ( 0.0f〜正の無限大 ) More...

## Detailed Description

モーションブラー設定構造体

## Member Data Documentation

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::minAngularVelocity

活動状態になる最小回転速度( 0.0f( 0度 )〜1.0f( 180度 ) )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::maxAngularVelocity

活動状態になる最大回転速度( minAngularVelocity〜1.0f( 180度 ) )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::minLinearVelocity

活動状態になる最小移動速度( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::maxLinearVelocity

活動状態になる最大移動速度( minLinearVelocity〜正の無限大 )

UInt32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::amount

状態を保持するフレーム量( 1〜4 )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::echoTimeLength

非活動状態に移行した際の残像のフェードアウト時間( 秒単位 )

Mix::Scene::ICamera::MOTION_BLUR_QUALITY Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::quality

品質

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::dist

残像を描画する深度の奥への許容範囲( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::damping

ブラーの減衰値( 0.0f〜1.0f )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::scale

ブラーのスケール( 0.0f〜1.0f )

Float32 Mix::Scene::ICamera::MOTION_BLUR_SETTINGS::intensity

ブラーの強さ( 0.0f〜正の無限大 )

The documentation for this struct was generated from the following file:

- Mix/Scene/ICamera.h